Subject: Re: linux-next: manual merge of the rcu tree with the rdma tree

From: Bob Pearson <[email-masked]>
Date: Tue, 28 Mar 2023 11:38:03 -0500

On 3/27/23 20:16, Stephen Rothwell wrote:
> Hi all,
> 
> FIXME: Add owner of second tree to To:
>        Add author(s)/SOB of conflicting commits.
> 
> Today's linux-next merge of the rcu tree got a conflict in:
> 
>   drivers/infiniband/sw/rxe/rxe_mr.c
> 
> between commit:
> 
>   5bf944f24129 ("RDMA/rxe: Add error messages")
> 
> from the rdma tree and commit:
> 
>   330f72b82ab0 ("RDMA/rxe: Rename kfree_rcu() to kvfree_rcu_mightsleep()")
> 
> from the rcu tree.
> 
> I fixed it up (the code modified by the latter was moved by the former,
> so I used this files from the former and applied the following merge fix
> patch) and can carry the fix as necessary. This is now fixed as far as
> linux-next is concerned, but any non trivial conflicts should be mentioned
> to your upstream maintainer when your tree is submitted for merging.
> You may also want to consider cooperating with the maintainer of the
> conflicting tree to minimise any particularly complex conflicts.
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Tue, 28 Mar 2023 12:12:24 +1100
> Subject: [PATCH] fixup for "RDMA/rxe: Add error messages"
> 
> interacting with "RDMA/rxe: Rename kfree_rcu() to kvfree_rcu_mightsleep()"
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/infiniband/sw/rxe/rxe_verbs.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/drivers/infiniband/sw/rxe/rxe_verbs.c b/drivers/infiniband/sw/rxe/rxe_verbs.c
> index 84b53c070fc5..bbdfbff5c752 100644
> --- a/drivers/infiniband/sw/rxe/rxe_verbs.c
> +++ b/drivers/infiniband/sw/rxe/rxe_verbs.c
> @@ -1341,7 +1341,7 @@ static int rxe_dereg_mr(struct ib_mr *ibmr, struct ib_udata *udata)
>  	if (cleanup_err)
>  		rxe_err_mr(mr, "cleanup failed, err = %d", cleanup_err);
>  
> -	kfree_rcu(mr);
> +	kfree(mr);
>  	return 0;
>  
>  err_out:

Thanks, I thought we had already done this. If not then we should. This is the correct fix
for that rcu mightsleep business.

Reviewed-by: Bob Pearson <[email-masked]>